SimpleBeanPropertyFilter (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.map.ser.impl

## Class SimpleBeanPropertyFilter

- java.lang.Object
- - org.codehaus.jackson.map.ser.impl.SimpleBeanPropertyFilter

- All Implemented Interfaces:
    BeanPropertyFilter
  Direct Known Subclasses:
    SimpleBeanPropertyFilter.FilterExceptFilter, SimpleBeanPropertyFilter.SerializeExceptFilter

      public abstract class SimpleBeanPropertyFilter
      extends Object
      implements BeanPropertyFilter

  Simple `BeanPropertyFilter` implementation that only uses property name to determine whether to serialize property as is, or to filter it out.
  Since:
    1.7

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SimpleBeanPropertyFilter.FilterExceptFilter` Filter implementation which defaults to filtering out unknown properties and only serializes ones explicitly listed.
    `static class` | `SimpleBeanPropertyFilter.SerializeExceptFilter` Filter implementation which defaults to serializing all properties, except for ones explicitly listed to be filtered out.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SimpleBeanPropertyFilter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SimpleBeanPropertyFilter` | `filterOutAllExcept(Set<String> properties)` Factory method to construct filter that filters out all properties except ones includes in set
    `static SimpleBeanPropertyFilter` | `filterOutAllExcept(String... propertyArray)`
    `static SimpleBeanPropertyFilter` | `serializeAllExcept(Set<String> properties)`
    `static SimpleBeanPropertyFilter` | `serializeAllExcept(String... propertyArray)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.codehaus.jackson.map.ser.BeanPropertyFilter

      `serializeAsField`

- - ### Constructor Detail

    - #### SimpleBeanPropertyFilter

          protected SimpleBeanPropertyFilter()

  - ### Method Detail

    - #### filterOutAllExcept

          public static SimpleBeanPropertyFilter filterOutAllExcept(Set<String> properties)

      Factory method to construct filter that filters out all properties except ones includes in set

    - #### filterOutAllExcept

          public static SimpleBeanPropertyFilter filterOutAllExcept(String... propertyArray)

    - #### serializeAllExcept

          public static SimpleBeanPropertyFilter serializeAllExcept(Set<String> properties)

    - #### serializeAllExcept

          public static SimpleBeanPropertyFilter serializeAllExcept(String... propertyArray)